## org.eclipse.datatools.sqltools.db.derby.parser
Class DerbyParsingResult

    java.lang.Object
      org.eclipse.datatools.sqltools.sql.parser.ParsingResult
          org.eclipse.datatools.sqltools.db.derby.parser.DerbyParsingResult

    public class DerbyParsingResult

extends ParsingResult

Author:
  Hui Cao

Constructor Summary
`DerbyParsingResult()`
`DerbyParsingResult(Node rootNode, java.util.ArrayList exceptions)`

Method Summary
`java.util.ArrayList` `getPrefix(java.util.ArrayList tokenLists, Node node)` Gets prefix name of result.
`java.util.ArrayList` `getUnSharableTempTables(org.eclipse.jface.text.IDocument document, int offset)` Gets non-sharable temp tables referenced in sp/trigger which have not been defined explicitly in sp/trigger,not in annotation.
`boolean` `isValidObjectsFormats(java.util.ArrayList tokenLists)` Checks whether the token list represents a valiad database object.
`boolean` `isVarOrPara(java.util.ArrayList tokenLists)` Checks whether the token list is variable or parameter.

Methods inherited from class org.eclipse.datatools.sqltools.sql.parser.ParsingResult
`addCurrentTables, addCurrentTables, addEntry, addExpectedUnreservedKeywords, clearCurrentTableNames, findContainingDeployable, findNode, findParentCompound, getCurrentTables, getCursorNames, getCursors, getEntries, getExceptions, getExpectedUnreservedKeywords, getParameters, getReferencedTables, getRootNode, getScope, getVariables, setExceptions, setRootNode, setScope`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DerbyParsingResult

    public DerbyParsingResult()

### DerbyParsingResult

    public DerbyParsingResult(Node rootNode,
                              java.util.ArrayList exceptions)

Parameters:
  `rootNode` -
  `exceptions` -

Method Detail

### isValidObjectsFormats

    public boolean isValidObjectsFormats(java.util.ArrayList tokenLists)

  Description copied from class: `ParsingResult`
  Checks whether the token list represents a valiad database object.

  Specified by:
    `isValidObjectsFormats` in class `ParsingResult`
  Returns:

### isVarOrPara

    public boolean isVarOrPara(java.util.ArrayList tokenLists)

  Description copied from class: `ParsingResult`
  Checks whether the token list is variable or parameter.

  Specified by:
    `isVarOrPara` in class `ParsingResult`
  Returns:

### getPrefix

    public java.util.ArrayList getPrefix(java.util.ArrayList tokenLists,
                                         Node node)

  Description copied from class: `ParsingResult`
  Gets prefix name of result.

  Specified by:
    `getPrefix` in class `ParsingResult`
  Returns:

### getUnSharableTempTables

    public java.util.ArrayList getUnSharableTempTables(org.eclipse.jface.text.IDocument document,
                                                       int offset)

  Description copied from class: `ParsingResult`
  Gets non-sharable temp tables referenced in sp/trigger which have not been defined explicitly in sp/trigger,not in annotation.

  Specified by:
    `getUnSharableTempTables` in class `ParsingResult`
  Returns: